#ifndef H_CPLAYER
#define H_CPLAYER
#include <ctime>
#include "cObject.h"
#include "cSign.h"
class cPlayer : public cObject
{
private:
	bool facing, invincible, visible, bodyVisible, falling, nearSign, readingSign, nearDoor, iAmDead;
	clock_t invincibleEndTime, flashNextTime, fallDisappearTime, fallRoomChangeTime, brainlessTimer;
	cObject *signObject, *doorObject;
	sf::Key::Code leftKey, upKey, rightKey, downKey;
	double animation_frame, animation_tick;
public:
	cPlayer(cGame *g, double xx, double yy);
	void Update();
	void Draw();
	cSign *GetSignObject();
	bool IsDead();
};
#endif